Contents

# Cos Function

Kofa kosaayinii shalagi.Kofni raadiyaaniin ibsama. Gatiin isaa gidduu -1 fi 1 dha.

Using the angle Alpha, the Cos function calculates the ratio of the length of the side that is adjacent to the angle, divided by the length of the hypotenuse in a right-angled triangle.

Cos(Alpha) = Adjacent/Hypotenuse

### Syntax:

    Cos (Number As Double) As Double

### Return type:

Double

### Parameters:

Lakkoofsa: Himannoon lakkoofsa kofa raadiyaaniin kan mul'isu kosaayinii shallaguu barbaaddef.

Diigrii gara raadiyaaniitti jijjiiruuf ,diigrii pi/180 tiin baay'si. Raadiyaanii gara diigritti jijjiiruuf 180/pi tiin baay'isi.

degree=(radian*180)/pi

radian=(degree*pi)/180

Pi is here the fixed circle constant with the rounded value 3.14159...

### Error codes:

5 Ejjatoo fashalaan waamu

### Example:

    REM The following example allows for a right-angled triangle the input of
    REM secant and angle (in degrees) and calculates the length of the hypotenuse:
    Sub ExampleCosinus
    REM rounded Pi = 3.14159
    Dim d1 As Double, dAngle As Double
        d1 = InputBox$ (""Enter the length of the adjacent side: ","Adjacent")
        dAngle = InputBox("Enter the angle Alpha (in degrees): ","Alpha")
        Print "The length of the hypotenuse is"; (d1 / cos (dAngle * Pi / 180))
    End Sub

Matadureewwan Walfakkatan

Atn Function

Sin Function

Tan Function

Please support us!